unit UDocumentsPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, UHtmlClasses, UModuleUser;

type

  { TDocumentsPage }

  TDocumentsPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    ModuleUser: TModuleUser;
  end; 

var
  DocumentsPage: TDocumentsPage;

implementation

{$R *.lfm}

uses
  UCore, UUtils, UWebSession;

{ TDocumentsPage }

procedure TDocumentsPage.DataModuleProduce(HandlerData: THTTPHandlerData);
begin
  with TWebSession(HandlerData) do begin
    ModuleUser.LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := Text + '<strong>Úřední dokumenty:</strong><br/>' +
        IconedLink(NavigationLink('/docs/rozhrani.pdf'), 'Technická specifikace účastnických rozhraní') + ' ' +
        IconedLink(NavigationLink('/docs/rozhrani.odt'), 'ODT') + '<br/>' +
        IconedLink(NavigationLink('/docs/Vzor smlouvy.pdf'), 'Vzor smlouvy') + ' ' +
        IconedLink(NavigationLink('/docs/Vzor smlouvy.odt'), 'ODT') + '<br/>' +
        IconedLink(NavigationLink('/docs/Všeobecné smluvní podmínky.pdf'), 'Všeobecné smluvní podmínky') + ' ' +
        IconedLink(NavigationLink('/docs/Všeobecné smluvní podmínky.odt'), 'ODT') + '<br/>' +
        '<br/>';

      Text := Text + '<strong>O obci:</strong><br/>' +
        IconedLink(NavigationLink('/docs/Zdechovska_historie_a_soucasnost.pdf'), 'Zděchovská historie a současnost') + ' (1,6 MB)<br/>' +
        '<img src="' + NavigationLink('/images/icons/pdf.gif') + '" alt=""> Zděchov - klíč od hřebene Javorníků - propagační publikace obce (kvalita ' +
        '<a href="' + NavigationLink('/docs/Zděchov - klíč od hřebene Javorníků (nízká kvalita).pdf') + '">nízká (1,8 MB)</a> ' +
        '<a href="' + NavigationLink('/docs/Zděchov - klíč od hřebene Javorníků (střední kvalita).pdf') + '">střední (3,7 MB)</a> ' +
        '<a href="' + NavigationLink('/docs/Zděchov - klíč od hřebene Javorníků (vysoká kvalita).pdf') + '">vysoká (7,2 MB)</a>)' +
        '<br/><br/>';
      Text := Text + '<strong>Propagace sítě v obci:</strong><br/>' +
        IconedLink(NavigationLink('/docs/info_na_infokanal_1.6.2006.pdf'), 'Aktualita na infokanálu (1.6.2006)') + '<br/>' +
        IconedLink(NavigationLink('/docs/info_na_infokanal_4.3.2005.pdf'), 'Aktualita na infokanálu (4.3.2005)') + '<br/>' +
        IconedLink(NavigationLink('/docs/info_na_infokanal_24.9.2004.pdf'), 'Aktualita na infokanálu (24.9.2004)') + '<br/>' +
        IconedLink(NavigationLink('/docs/vyzva_do_infokanalu_15.8.2004.pdf'), 'Výzva do infokanálu (15.8.2004)') + '<br/>';
    end;
    GeneratePage(Self);
  end;
end;

end.

