unit UInternetPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, UModuleUser;

type

  { TInternetPage }

  TInternetPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    ModuleUser: TModuleUser;
  end; 

var
  InternetPage: TInternetPage;

implementation

{$R *.lfm}

uses
  UCore, UHtmlClasses, UWebSession;

{ TInternetPage }

procedure TInternetPage.DataModuleProduce(HandlerData: THTTPHandlerData);
begin
  with TWebSession(HandlerData) do begin
    ModuleUser.LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := Text + 'V síti je možné využít také doplňkovou nabídku výhodného připojení k internetu. ' +
      'Tarify se liší v základu minimální a maximální rychlostí. U všech placených tarifů je také k dispozici bonusová sdílená rychlost z volné kapacity sítě.<br/><br/>' +
      '<strong>Nabídka tarifů:</strong><br/>' +

      '<table class="WideTable">' +
      '<tr><th>Označení</th><th>Minimální rychlost</th><th>Maximální rychlost</th><th>Bonusová rychlost</th><th>Cena</th></tr>' +
      '<tr><td>Zdarma</td><td align="center">0</td><td align="center">256 kbit/s</td><td align="center">&nbsp;</td><td align="center">0 Kč</td></tr>' +
      '<tr><td>Internet 20M</td><td align="center">6 Mbit/s</td><td align="center">20 Mbit/s</td><td align="center">140 Mbit/s</td><td align="center">190 Kč</td></tr>' +
      '<tr><td>Internet 40M</td><td align="center">12 Mbit/s</td><td align="center">40 Mbit/s</td><td align="center">140 Mbit/s</td><td align="center">260 Kč</td></tr>' +
      '<tr><td>Internet 60M</td><td align="center">18 Mbit/s</td><td align="center">60 Mbit/s</td><td align="center">140 Mbit/s</td><td align="center">360 Kč</td></tr>' +
      '<tr><td>Internet 80M</td><td align="center">24 Mbit/s</td><td align="center">80 Mbit/s</td><td align="center">140 Mbit/s</td><td align="center">520 Kč</td></tr>' +
      '<tr><td>Internet 100M</td><td align="center">30 Mbit/s</td><td align="center">100 Mbit/s</td><td align="center">140 Mbit/s</td><td align="center">750 Kč</td></tr>' +
      '</table>' +
      '<br/>' +
      'Minimální rychlost je rychlost garantovaná, na tuto hodnotu může rychlost klesnout ve výjimečných případech.<br/>' +
      'Maximální rychlost se rovná rychlosti inzerované, jde o rychlost maximálně dosažitelnou.<br/>' +
      'Běžně dostupná rychlost odpovídá alespoň 60% rychlosti maximální a jde o běžně dostupnou rychlost v 95% času kalendářního dne.<br/>' +
      'Bonusová rychlost je negarantovaná rychlost ze společné sdílené kapacity, na kterou může rychlost stoupnout nad rámec maximální rychlosti.<br/>' +
      '<br/>' +
      '<i>Ceny platné od: 1.1.2021</i><br/>' +
      '<br/>' +
      '<strong>Maximální rychlosti pro jednotlivé technologie:</strong><br/>' +
      '<ul>' +
      '<li>Kabelové připojení Ethernet - 100 Mbit/s nebo 1 Gbit/s</li>' +
      '<li>Bezdrátové připojení Wifi 802.11g - 20 Mbit/s</li>' +
      '<li>Bezdrátové připojení Wifi 802.11n - 100 Mbit/s</li>' +
      '<li>Bezdrátové připojení Wifi 802.11ac - 200 Mbit/s</li>' +
      '</ul>' +
      'Podle minimální a maximální rychlosti se také určuje poměrově přerozdělení sdílené rychlosti při vytížené lince. ' +
      'Uživatelé s vyšší minimální a maximální rychlostí dostanou přidělnu poměrově větší kapacitu.<br/>' +
      '<br/>' +
      'Rychlost všech tarifů je symetrická, není omezován objem přenášených dat, ceny včetně DPH.<br/>' +
      'V celé obci je možné také využívat zdarma přístupu k internetu přes několik otevřených bezdrátových bodů v pásmu 2,4 GHz.<br/>' +
      '<br/>' +
      '<i>Za velkou trvající odchylku od běžně dostupné rychlosti stahování se považuje souvislý pokles skutečně dosahované rychlosti odpovídající měřením stanovené TCP propustnosti pod hodnotu běžně dostupné rychlosti v intervalu delším než 70 minut.</i><br/>' +
      '<br/>' +
      '<i>Za velkou opakující se odchylku od běžně dostupné rychlosti se považuje taková odchylka, při které dojde alespoň ke třem poklesům skutečně dosahované rychlosti odpovídající měřením stanovené TCP propustnosti pod hodnotu běžně dostupné rychlosti v intervalu delším nebo rovno 3,5 minutám v časovém úseku 90 minut.</i><br/>' +
      '<br/>' +
      'Aktualizováno: 18.2.2021';
    end;
    GeneratePage(Self);
  end;
end;

end.

